apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  name: examples.example.io
spec:
  conversion:
    strategy: None
  group: example.io
  names:
    kind: Example
    listKind: ExampleList
    plural: examples
    shortNames:
      - ex
    singular: example
  preserveUnknownFields: true
  scope: Namespaced
  versions:
    - additionalPrinterColumns:
        - description: >-
            CreationTimestamp is a timestamp representing the server time when
            this object was created. It is not guaranteed to be set in
            happens-before order across separate operations. Clients may not set
            this value. It is represented in RFC3339 form and is in UTC.


            Populated by the system. Read-only. Null for lists. More info:
            https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
          jsonPath: .metadata.creationTimestamp
          name: Age
          type: date
      name: v1alpha1
      served: true
      storage: true
      subresources: {}
status:
  acceptedNames:
    kind: Example
    listKind: ExampleList
    plural: examples
    shortNames:
      - ex
    singular: example
  conditions:
    - lastTransitionTime: '2024-05-19T23:35:28Z'
      message: no conflicts found
      reason: NoConflicts
      status: 'True'
      type: NamesAccepted
    - lastTransitionTime: '2024-05-19T23:35:28Z'
      message: the initial names have been accepted
      reason: InitialNamesAccepted
      status: 'True'
      type: Established
    - lastTransitionTime: '2024-10-26T19:44:57Z'
      message: 'spec.preserveUnknownFields: Invalid value: true: must be false'
      reason: Violations
      status: 'True'
      type: NonStructuralSchema
  storedVersions:
    - v1alpha1